Package uk.ac.starlink.vo

# Interface TapService

public interface TapService
Aggregates information about how to access a TAP service, in particular the bundle of related HTTP endpoints that together form a notional TAP service. In general (though not necessarily for use in a particular context) any of the various endpoints provided here may be null, if there is nowhere that such a resource can be found. However, non-null endpoints do not guarantee that the corresponding resource actually exists.

Since:
  18 Mar 2016
Author:
  Mark Taylor
See Also:
  - `TapServices`

## Method Summary

Modifier and Type
Method
Description
`URL`
`getAsyncEndpoint()`
Returns the endpoint for asynchronous TAP queries.
`URL`
`getAvailabilityEndpoint()`
Returns the endpoint at which the VOSI availability document may be found.
`URL`
`getCapabilitiesEndpoint()`
Returns the endpoint at which the VOSI capabilities document may be found.
`URL`
`getExamplesEndpoint()`
Returns the endpoint at which a DALI/TAP examples document may be found.
`String`
`getIdentity()`
Returns a label for this service.
`URL`
`getSyncEndpoint()`
Returns the endpoint for synchronous TAP queries.
`URL`
`getTablesEndpoint()`
Returns the endpoint at which the VOSI tableset document may be found.
`TapVersion`
`getTapVersion()`
Returns the version of the TAP protocol which this service is considered to implement.

## Method Details

### getIdentity

String getIdentity()
Returns a label for this service. It should usually be the base URL for the TAP service, if one is known.

Returns:
  tap service identity string

### getSyncEndpoint

URL getSyncEndpoint()
Returns the endpoint for synchronous TAP queries. Typically `<baseUrl>/sync`.

Returns:
  sync query endpoint

### getAsyncEndpoint

URL getAsyncEndpoint()
Returns the endpoint for asynchronous TAP queries. Typically `<baseUrl>/async`.

Returns:
  async query endpoint

### getTablesEndpoint

URL getTablesEndpoint()
Returns the endpoint at which the VOSI tableset document may be found. Typically `<baseUrl>/tables`.

Returns:
  tables endpoint

### getCapabilitiesEndpoint

URL getCapabilitiesEndpoint()
Returns the endpoint at which the VOSI capabilities document may be found. Typically `<baseUrl>/capabilities`.

Returns:
  capabilities endpoint

### getAvailabilityEndpoint

URL getAvailabilityEndpoint()
Returns the endpoint at which the VOSI availability document may be found. Typically `<baseUrl>/availability`.

### getExamplesEndpoint

URL getExamplesEndpoint()
Returns the endpoint at which a DALI/TAP examples document may be found. Typically `<baseUrl>/examples`.

Returns:
  examples endpoint

### getTapVersion

TapVersion getTapVersion()
Returns the version of the TAP protocol which this service is considered to implement.

Returns:
  TAP version